NUnit 2.4.8 with Extensions

I would for TeamCity to run all of my NUnit test including those marked with the RowTest attribute. RowTest is part of the nunit.framework.extensions.dll. Does anyone know where I would need to install this library for TeamCity to recognize it?

Thanks,
Will

This may fall in the category of stupid questions... As I am using MSBuild as my Build Runner, perhaps I should start there.

Edited by: CamperWill on Sep 24, 2008 6:30 PM

I've discovered that my MSBuild NUnit task is being ignored and the TeamCity launcher is used instead.
From the build log:
C:\Program Files\MSBuild\Xcis\CoreBuild.targets Value from NUnit task attribute OutputXmlFile has been ignored because TeamCity NUnit task is used

So it appears that this may not be such a stupid question.

Edited by: CamperWill on Sep 24, 2008 6:56 PM

6 comments
Comment actions Permalink

TeamCity overrides default task.
To workaround it you may use filly qualified name of the task's class.

To enable extension, please add attrribute Addins="$(pathToRowTestsDll)" to ]]> task in your build script.

What version of TeamCity do you use? I've added default behavior to NUnit runner to load all bundled extensions in TeamCity 4.0 EAP, http://www.jetbrains.net/confluence/display/TW/TeamCityEAP(Latest)

Thanks!

0
Comment actions Permalink

Please, add one more attribute to enforce tests runner to use NUnit 2.4.8
NUnitVersion="NUnit-2.4.8"

0
Comment actions Permalink

Having the same problem - I'm using TeamCity 3.1.2 (build 6881). Going to 4.0 is not an option at the moment and when I tried the Addins parameter it gave me an error: The "Addins" parameter is not supported by the "NUnit" task. With the NUnitVersion property I get the error: Failed to find plugin 'Test/NUnit-2.4.8'

So, I'm guessing all this requires 4.0 - is there any solution for 3.1?

0
Comment actions Permalink

Please try NUnit-2.4.6 as plugin name.
Thanks!

0
Comment actions Permalink

First of all, I had the same problems that Colin reported, with both the AddIns and NUnitVersion attributes. I tried setting to NUnit-2.4.6, but it still doesn't run my RowTests


To workaround it you may use filly qualified name of the task's class.


Can you provide a little more guidance on how to fully qualify the task?

Thanks,
Will

0
Comment actions Permalink

Please apply the patch to the runner from ftp://ftp.intellij.net/pub/.teamcity/dotNetPath/dotnet-listeners-4.0.180.45942.zip
To apply it, please do the following:
- Open ]]>/webapps/root/update/plugins/
- Copy dotNetPlugin.zip to temp folder
- Back up dotNetPlugin.zip
- Extract dotNetPlugin.zip
- Replace contents of /bin folder with new files.
- Pack files again. Make sure there is no files in the root of archive.
- Replace dotNetPlugin.zip file on the server.
- All build agents should upgrade automatically.
- Run the builds

After the patch is applied, it will be possible to use NUnit-2.4.8 build runner as well as enable rowTests addin.

Thanks!

0

Please sign in to leave a comment.